Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSResultDocument

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.DocumentImpl
          com.novell.nds.dirxml.driver.xds.XDSResultDocument

All Implemented Interfaces:
  StateDocument, StatusDocument, StatusStateDocument, WriteableDocument, XDSDocument

public class XDSResultDocument
extends DocumentImpl
implements WriteableDocument, StatusStateDocument

The `XmlDocument` returned from method `init(XmlDocument)` of interfaces `DriverShim`, `SubscriptionShim`, and `PublicationShim`, method `start(XmlCommandProcessor)` of interface `PublicationShim`, and method `shutdown(XmlDocument)` of interface `DriverShim`.

Constructor Summary
`XDSResultDocument()` Constructs an empty, writeable init document.
`XDSResultDocument(DTDVersion dtdVersion)` Constructs an empty, writeable result document.

Method Summary
`XDSInitParamsElement` | `appendInitParamsElement()` Appends an empty, child `<init-params>` element to this document's `<input>` or `<output>` element.
`XDSSourceElement` | `appendSourceElement()` Appends an empty, child `<source>` element to this document's `<nds>` element.
`XDSStatusElement` | `appendStatusElement()` Appends an empty, child `<status>` element to this document's `<input>` or `<output>` element.
`void` | `empty()` Removes all child nodes from this document's `<input>` or `<output>` element.
`com.novell.nds.dirxml.driver.XmlDocument` | `toXML()` Converts this document into an `XmlDocument`.
`void` | `validate()` Validates this document.

Methods inherited from class com.novell.nds.dirxml.driver.xds.DocumentImpl
`domDocument, domIOElement, domNDSElement, isEmpty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSDocument
`domDocument, domIOElement, domNDSElement, isEmpty`

Constructor Detail

### XDSResultDocument

    public XDSResultDocument()

  Constructs an empty, writeable init document. By default, the current DTD version is used.

  This constructor should be used to build documents returned from the `init(XmlDocument)` method of interfaces `DriverShim`, `SubscriptionShim`, and `PublicationShim`, the `start(XmlCommandProcessor)` method of interface `PublicationShim`, and the `shutdown(XmlDocument)` method of interface `DriverShim`.

See Also:
  `SkeletonDriverShim.init(XmlDocument)`, `SkeletonSubscriptionShim.init(XmlDocument)`, `SkeletonPublicationShim.init(XmlDocument)`, `SkeletonPublicationShim.start(com.novell.nds.dirxml.driver.XmlCommandProcessor)`, `SkeletonDriverShim.shutdown(XmlDocument)`

### XDSResultDocument

    public XDSResultDocument(DTDVersion dtdVersion)

  Constructs an empty, writeable result document. The DTD version used is configurable.

  This constructor should be used to build documents returned from the `init(XmlDocument)` method of interfaces `DriverShim`, `SubscriptionShim`, and `PublicationShim`, the `start(XmlCommandProcessor)` method of interface `PublicationShim`, and the `shutdown(XmlDocument)` method of interface `DriverShim`.

Parameters:
  `dtdVersion` - must not be `null`
See Also:
  `SkeletonDriverShim.init(XmlDocument)`, `SkeletonSubscriptionShim.init(XmlDocument)`, `SkeletonPublicationShim.init(XmlDocument)`, `SkeletonPublicationShim.start(com.novell.nds.dirxml.driver.XmlCommandProcessor)`, `SkeletonDriverShim.shutdown(XmlDocument)`

Method Detail

### appendSourceElement

    public XDSSourceElement appendSourceElement()

  Description copied from interface: `WriteableDocument`
  Appends an empty, child `<source>` element to this document's `<nds>` element. When called more than once, no action is taken and the same `<source>` element is returned.

  Invocation Context:
    WRITE

  Specified by:
    `appendSourceElement` in interface `WriteableDocument`
  Returns:
    will not return `null`

### appendStatusElement

    public XDSStatusElement appendStatusElement()

  Description copied from interface: `StatusDocument`
  Appends an empty, child `<status>` element to this document's `<input>` or `<output>` element.

  Invocation Context:
    WRITE

  Specified by:
    `appendStatusElement` in interface `StatusDocument`
  Returns:
    will not return `null`

### appendInitParamsElement

    public XDSInitParamsElement appendInitParamsElement()

  Description copied from interface: `StateDocument`
  Appends an empty, child `<init-params>` element to this document's `<input>` or `<output>` element. When called more than once, no action is taken and the same `<init-params>` element is returned.

  Invocation Context:
    WRITE

  Specified by:
    `appendInitParamsElement` in interface `StateDocument`
  Returns:
    will not return `null`

### validate

    public void validate()
                  throws XDSParseException

  Description copied from interface: `WriteableDocument`
  Validates this document.

  Invocation Context:
    WRITE

  Specified by:
    `validate` in interface `WriteableDocument`
  Throws:
    `XDSParseException` - if this document is malformed or invalid

### toXML

    public com.novell.nds.dirxml.driver.XmlDocument toXML()

  Description copied from interface: `WriteableDocument`
  Converts this document into an `XmlDocument`.

  Invocation Context:
    WRITE

  Specified by:
    `toXML` in interface `WriteableDocument`
  Returns:
    this document as a `XmlDocument`

### empty

    public void empty()

  Description copied from interface: `WriteableDocument`
  Removes all child nodes from this document's `<input>` or `<output>` element.

  Invocation Context:
    WRITE

  Specified by:
    `empty` in interface `WriteableDocument`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD